<?php
	/*
		Plugin Name: WP Easy Deals
		Description: Create Group Deals and Collect Leads in a Simple Shortcode
		Version: 1
	*/
	

	// Install 
	
	register_activation_hook(__FILE__,'wpeasydeals_startup');
	function wpeasydeals_startup () {
			
	
		   global $wpdb;
		   $table_name = $wpdb->prefix . "wpeasydeals_shortcode";
		   
		     if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
		      
		      $sql = "CREATE TABLE " . $table_name . " (
			   id INTEGER(40) UNSIGNED AUTO_INCREMENT,
			   name varchar(500),
			   bgcolor varchar(500),
			   typography varchar(500),
			   buttoncolor varchar(500),
			   headline varchar(500),
			   numberofspots varchar(500),
			   timelimit varchar(500),
			   buttontext varchar(500),
			   video longtext,
			   image varchar(500),
			   value varchar(500),
			   valuetext varchar(500),
			   discount varchar(500),
			   discounttext varchar(500),
			   save varchar(500),
			   savetext varchar(500),
			   claimtext varchar(500),
			   claimyourspot varchar(500),
			   ar_code longtext,
			   socialurl varchar(500),
			   subjectline varchar(500),
			   UNIQUE KEY id (id)
			 );";
		
		      require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		      dbDelta($sql);
		   }
		   
		   
	}
	
	// Create Update Delete
	
	function create_wpeasydeals_shortcode($name, $bgcolor, $typography, $buttoncolor, $headline, $numberofspots, $timelimit, $buttontext, $video, $image, $value, $valuetext, $discount, $discounttext, $save, $savetext, $claimtext, $claimyourspot, $ar_code, $socialurl, $subjectline) {
		global $wpdb;
 		$table_db_name = $wpdb->prefix . "wpeasydeals_shortcode";
 		$wpdb->insert( $table_db_name, 
        array( 
	     'bgcolor' => $bgcolor,
	     'typography' => $typography,
	     'buttoncolor' => $buttoncolor,
	     'headline' => $headline,
	     'numberofspots' => $numberofspots,
	     'timelimit' => $timelimit,
	     'buttontext' => $buttontext,
	     'video' => $video,
	     'image' => $image,
	     'value' => $value,
	     'valuetext' => $valuetext,
	     'discount' => $discount,
	     'discounttext' => $discounttext,
	     'save' => $save,
	     'savetext' => $savetext,
	     'claimtext' => $claimtext,
	     'claimyourspot' => $claimyourspot,
	     'ar_code' => $ar_code,
	     'socialurl' => $socialurl,
	     'subjectline' => $subjectline,
	     'name' => $name
	      )
		);
		
	}
	
	function update_wpeasydeals_shortcode($name, $bgcolor, $typography, $buttoncolor, $headline, $numberofspots, $timelimit, $buttontext, $video, $image, $value, $valuetext, $discount, $discounttext, $save, $savetext, $claimtext, $claimyourspot, $ar_code, $socialurl, $subjectline) {
		global $wpdb;
 		$table_db_name = $wpdb->prefix . "wpeasydeals_shortcode";
 		$wpdb->update( $table_db_name, 
        array( 
	     'bgcolor' => $bgcolor,
	     'typography' => $typography,
	     'buttoncolor' => $buttoncolor,
	     'headline' => $headline,
	     'numberofspots' => $numberofspots,
	     'timelimit' => $timelimit,
	     'buttontext' => $buttontext,
	     'video' => $video,
	     'image' => $image,
	     'value' => $value,
	     'valuetext' => $valuetext,
	     'discount' => $discount,
	     'discounttext' => $discounttext,
	     'save' => $save,
	     'savetext' => $savetext,
	     'claimtext' => $claimtext,
	     'claimyourspot' => $claimyourspot,
	     'ar_code' => $ar_code,
	     'socialurl' => $socialurl,
	      'subjectline' => $subjectline
	      ),
	      array( 'name' => $name )
		);
		
	}
	
	function delete_wpeasydeals_shortcode($id) {
		global $wpdb;
		$table_name = $wpdb->prefix . 'wpeasydeals_shortcode';
		$tabinfo = $wpdb->query("DELETE FROM $table_name WHERE id = $id");
		
	}
	
	
	// Menu Pages
	
	function manage_wpeasydeals_shortcode() {
	    $full_path = WP_PLUGIN_URL.'/'.str_replace(basename( FILE),"",plugin_basename(FILE));
        $imagePath = $full_path  .'/wpeasydeals';
		include('manage.php');
	}
	
	
	function opennew_wpeasydeals_shortcode() {
	    $full_path = WP_PLUGIN_URL.'/'.str_replace(basename( FILE),"",plugin_basename(FILE));
        $imagePath = $full_path  .'/wpeasydeals';
		include('easydeal/index.php');
	}
	
	
	function watchhelpvideo() {
	    $full_path = WP_PLUGIN_URL.'/'.str_replace(basename( FILE),"",plugin_basename(FILE));
        $imagePath = $full_path  .'/wpeasydeals';
		include('help.php');
	}
	
	
	
	function wpeasydeals_shortcode_createmenu() {
		add_menu_page('WP Easy Deals', 'WP Easy Deals', 'manage_options', 'wpeasydeal', 'manage_wpeasydeals_shortcode', 'http://cdn2.iconfinder.com/data/icons/oxygen/16x16/actions/rss-tag.png');
		add_submenu_page( 'wpeasydeal', 'Manage Easy Deals', 'Manage Easy Deals', 'manage_options', 'manage_agp_shortcodes', 'manage_wpeasydeals_shortcode');
		add_submenu_page( 'wpeasydeal', 'Create Easy Deal', 'Create Easy Deal', 'manage_options', 'opennew_wpeasydeals_shortcode', 'opennew_wpeasydeals_shortcode');
		add_submenu_page( 'wpeasydeal', 'Watch Help Video', 'Watch Help Video', 'manage_options', 'watchhelpvideo', 'watchhelpvideo');
	}
	
	add_action('admin_menu', 'wpeasydeals_shortcode_createmenu');
	
	
	// Shortcodes
	
	
	function wpeasydeals_shortcodecreateshortcode($atts, $content = null) {
		extract(shortcode_atts(array(
			"name" => ''
		), $atts));
			$full_path = WP_PLUGIN_URL.'/'.str_replace(basename( FILE),"",plugin_basename(FILE));
        	$imagePath = $full_path  .'/wpeasydeals';
        	$videoPath =  $imagePath . '/easydeal/shortcode.php?name=' . $name;
			return " <iframe src='$videoPath' frameborder='0' scrolling='no' style='width: 646px !important; height:  410px !important; border: none; position: absolute; z-index: 999999'></iframe><div style='height:  410px; width: 646px;'></div>";
	}
	add_shortcode("wpeasydeal", "wpeasydeals_shortcodecreateshortcode");
	
?>